aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bill Farner (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (AURORA-1064) Gradle version check is too strict
Date Thu, 07 May 2015 20:13:00 GMT

     [ https://issues.apache.org/jira/browse/AURORA-1064?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Bill Farner resolved AURORA-1064.
---------------------------------
    Resolution: Won't Fix

> Gradle version check is too strict
> ----------------------------------
>
>                 Key: AURORA-1064
>                 URL: https://issues.apache.org/jira/browse/AURORA-1064
>             Project: Aurora
>          Issue Type: Bug
>          Components: Build
>            Reporter: Bill Farner
>            Assignee: Bill Farner
>              Labels: newbie
>             Fix For: 0.8.0
>
>
> Our gradle version check requires exactly 2.2:
> {noformat}
> $ cat buildSrc/gradle.properties 
> GRADLE_VERSION = 2.2
> {noformat}
> This means it will not allow you to build with 2.2.1:
> {noformat}
> $ gradle --version
> ------------------------------------------------------------
> Gradle 2.2.1
> ------------------------------------------------------------
> Build time:   2014-11-24 09:45:35 UTC
> Build number: none
> Revision:     6fcb59c06f43a4e6b1bcb401f7686a8601a1fb4a
> Groovy:       2.3.6
> Ant:          Apache Ant(TM) version 1.9.3 compiled on December 23 2013
> JVM:          1.7.0_65 (Oracle Corporation 24.65-b04)
> OS:           Linux 3.13.0-40-generic amd64
> wfarner@bill-desktop:~/Downloads/apache-aurora-0.7.0-rc1-incubating$ gradle wrapper
> FAILURE: Build failed with an exception.
> * Where:
> Build file '/home/wfarner/Downloads/apache-aurora-0.7.0-rc1-incubating/buildSrc/build.gradle'
line: 2
> * What went wrong:
> A problem occurred evaluating root project 'buildSrc'.
> > Building is only supported with gradle version: 2.2 .
> * Try:
> Run with --stacktrace option to get the stack trace. Run with --info or --debug option
to get more log output.
> BUILD FAILED
> Total time: 1.51 secs
> {noformat}
> The cause is this:
> {noformat}
> $ cat buildSrc/build.gradle 
> if (gradle.gradleVersion != GRADLE_VERSION) {
>   throw new GradleException("Building is only supported with gradle version: $GRADLE_VERSION
.")
> }
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message